package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(
   value = "送货单明细表",
   description = "送货单明细表"
)
public class DrpDeliveryGoodsDetail {
   @ApiModelProperty("送货明细id")
   @TableId
   private Long deliveryGoodsDetailId;
   @ApiModelProperty("送货单号")
   private String deliveryGoodsId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("单价")
   private Long unitPrice;
   @ApiModelProperty("采购订单数量")
   private BigDecimal orderGoodsNum;
   @ApiModelProperty("送货数量")
   private BigDecimal deliveryNum;
   @ApiModelProperty("验货合格数量")
   private BigDecimal inspectQualifiedNum;
   @ApiModelProperty("采购订单明细id")
   private Long orderGoodsDetailId;

   public Long getDeliveryGoodsDetailId() {
      return this.deliveryGoodsDetailId;
   }

   public String getDeliveryGoodsId() {
      return this.deliveryGoodsId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public Long getUnitPrice() {
      return this.unitPrice;
   }

   public BigDecimal getOrderGoodsNum() {
      return this.orderGoodsNum;
   }

   public BigDecimal getDeliveryNum() {
      return this.deliveryNum;
   }

   public BigDecimal getInspectQualifiedNum() {
      return this.inspectQualifiedNum;
   }

   public Long getOrderGoodsDetailId() {
      return this.orderGoodsDetailId;
   }

   public DrpDeliveryGoodsDetail setDeliveryGoodsDetailId(final Long deliveryGoodsDetailId) {
      this.deliveryGoodsDetailId = deliveryGoodsDetailId;
      return this;
   }

   public DrpDeliveryGoodsDetail setDeliveryGoodsId(final String deliveryGoodsId) {
      this.deliveryGoodsId = deliveryGoodsId;
      return this;
   }

   public DrpDeliveryGoodsDetail setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpDeliveryGoodsDetail setUnitId(final Long unitId) {
      this.unitId = unitId;
      return this;
   }

   public DrpDeliveryGoodsDetail setSize(final String size) {
      this.size = size;
      return this;
   }

   public DrpDeliveryGoodsDetail setUnitPrice(final Long unitPrice) {
      this.unitPrice = unitPrice;
      return this;
   }

   public DrpDeliveryGoodsDetail setOrderGoodsNum(final BigDecimal orderGoodsNum) {
      this.orderGoodsNum = orderGoodsNum;
      return this;
   }

   public DrpDeliveryGoodsDetail setDeliveryNum(final BigDecimal deliveryNum) {
      this.deliveryNum = deliveryNum;
      return this;
   }

   public DrpDeliveryGoodsDetail setInspectQualifiedNum(final BigDecimal inspectQualifiedNum) {
      this.inspectQualifiedNum = inspectQualifiedNum;
      return this;
   }

   public DrpDeliveryGoodsDetail setOrderGoodsDetailId(final Long orderGoodsDetailId) {
      this.orderGoodsDetailId = orderGoodsDetailId;
      return this;
   }
}
